%define major 3
%define libname %mklibname ieee1284_ %major
%define develname %mklibname ieee1284 -d
%define staticdevelname %mklibname ieee1284 -d -s

Summary:	Cross-platform library for parallel port access
Name:		libieee1284
Version:	0.2.11
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
URL:		http://sourceforge.net/projects/libieee1284/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/libieee1284/%{name}-%{version}.tar.bz2
Patch0:		libieee1284-0.2.11-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-devel

%description
libieee1284 is a cross-platform library for parallel port access

%package -n	%{libname}
Summary:        Cross-platform library for parallel port access
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
libieee1284 is a cross-platform library for parallel port access

%package -n	%{develname}
Summary:        Development files for libieee1284
Group:          Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:       ieee1284-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}0-devel = %{version}-%{release}
Obsoletes:	%{mklibname ieee1284_ 3 -d}

%description -n	%{develname}
The %{name}-devel package includes the header files and .so libraries
necessary for developing programs which will access parallel port devices 
using the %{name} library.

If you are going to develop programs which will access parallel port
devices, you should install %{name}-devel.  You'll also need to have
the %{name} package installed.

%package -n	%{staticdevelname}
Summary:        Static library for libieee1284
Group:          Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:       ieee1284-static-devel
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{mklibname ieee1284_ 3 -d -s}

%description -n	%{staticdevelname}
The %{staticdevelname} package includes the static libraries
necessary for developing programs which will access parallel port devices 
using the %{name} library.

If you are going to develop programs which will access parallel port
devices, you should install %{name}-devel.  You'll also need to have
the %{name} package installed.

%package -n	python-%{name}
Group:		Development/Python
Summary:	Python bindings for libieee2384
Conflicts:	%{name}-devel < %{version}-%{release}
%py_requires -d

%description -n python-%{name}
This package contains python bindings for libieee2384.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --with-python
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{py_platsitedir}/*.{a,la}

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL NEWS TODO
%{_bindir}/libieee1284_test
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/man3/*

%files -n %{staticdevelname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.a

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/*.so


%changelog
* Mon Jan 26 2009 Funda Wang <fundawang@mandriva.org> 0.2.11-5mdv2009.1
+ Revision: 333715
- split out python binding

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.11-4mdv2009.1
+ Revision: 319537
- rebuild with python 2.6

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.11-3mdv2009.0
+ Revision: 222888
- rebuild
- fix summary-not-capitalized
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 14 2007 Funda Wang <fundawang@mandriva.org> 0.2.11-2mdv2008.1
+ Revision: 108822
- rebuild

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0.2.11-1mdv2008.1
+ Revision: 102730
- New version 0.2.11

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.org> 0.2.10-5mdv2008.0
+ Revision: 76974
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.org> 0.2.10-4mdv2008.0
+ Revision: 76861
- new devel naming

* Wed May 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.2.10-3mdv2008.0
+ Revision: 27294
- Specfile cleanup, forcing a package rebuild.


* Mon Jan 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.2.10-2mdv2007.0
+ Revision: 109310
- Rebuild against python 2.5
- Use py_requires macro instead of manual hacks.
- Import libieee1284

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2.10-2mdk
- Rebuild

* Tue Jun 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.10-1mdk
- 0.2.10
- %%mkrel

* Thu Feb 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.9-1mdk
- 0.2.9

* Fri Jan 07 2005 Till Kamppeter <till@mandrakesoft.com> 0.2.8-2mdk
- Rebuild

